Get a Token by Network and Address

Get a token by network and address

get

Returns the token corresponding to the requested currency name and contract address.

Authorizations
X-Ledger-API-KeystringRequired

If you've set up your API Key when initializing your LAM, you'll need to include it as a header along with the api user header. For more details, see step 5 of the get started documentation.

X-Ledger-API-UserstringRequired

(required) Username of a registered API User

Path parameters
contract_addressstringRequired

The token contract address.

currency_namestringRequired

The currency name.

Responses
chevron-right
200

token

application/json
contract_addressstringRequired

The token contract address.

Example: 0xdAC17F958D2ee523a2206206994597C13D831ec7
namestringRequired

The token name.

Example: USD Tether (erc20)
parent_currencystring · enumRequiredExample: ethereumPossible values:
get
/currencies/{currency_name}/tokens/{contract_address}

Last updated